# $Revision: 1.21 $, $Date: 2008-05-29 17:47:21 $
Summary:	Maintains identical copies of files on multiple machines
Summary(de.UTF-8):	Dateienverteiler - Verwaltung von Dateien auf mehreren Computern
Summary(fr.UTF-8):	Distributeur de fichiers - maintien des fichiers sur différentes machines
Summary(pl.UTF-8):	Narzędzie do zarządzania identycznymi kopiami plików na wielu maszynach
Summary(tr.UTF-8):	Dosyaları birden fazla makinada saklama sistemi
Name:		rdist
Version:	6.1.5
Release:	33
License:	BSD
Group:		Applications/System
Source0:	http://www.MagniComp.com/download/rdist/%{name}-%{version}.tar.gz
# Source0-md5:	546779700af70aa5f9103e08782cdcac
Source1:	%{name}-eu-license.txt
Patch0:		%{name}-linux.patch
Patch1:		%{name}-links.patch
Patch2:		%{name}-oldpath.patch
Patch3:		%{name}-hardlink.patch
Patch4:		%{name}-glibc.patch
Patch5:		%{name}-ostype.patch
Patch6:		%{name}-environ.patch
Patch7:		%{name}-bison.patch
Patch8:		%{name}-varargs.patch
URL:		http://www.MagniComp.com/rdist/
BuildRequires:	bison
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rdist program maintains identical copies of files on multiple
hosts. If possible, rdist will preserve the owner, group, mode and
mtime of files and it can update programs that are executing.

%description -l de.UTF-8
Rdist ist ein Programm zur Aufrechterhaltung identischer Kopien von
Dateien über mehrere Hostrechner. Es behält den Besitzer, die Gruppe,
den Modus und mtime der Dateien wenn irgend möglich bei, und kann
Programme, die ausgeführt werden, aktualisieren.

%description -l fr.UTF-8
Rdist est un programme pour maintenir des copies d'un même fichier
identiques sur plusieurs machines. Il conserve le propriétaire, le
groupe, le mode, et la date des fichiers si possible et peut mettre à
jour les programmes qu'ils utilisent.

%description -l pl.UTF-8
Program rdist zarządza identycznymi kopiami plików na wielu maszynach.
Jeżeli to możliwe, zachowuje właściciela, grupę, uprawnienia i czas
modyfikacji plików.

%description -l tr.UTF-8
rdist ile bir programın birden fazla kopyasının değişik makinalarda
aynı kullanıcı, grup ve kip bilgileri ile saklanması sağlanır.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man{1,8},%{_sbindir}}

install src/rdist $RPM_BUILD_ROOT%{_bindir}
install src/rdistd $RPM_BUILD_ROOT%{_sbindir}
ln -sf ../sbin/rdistd $RPM_BUILD_ROOT%{_bindir}/rdistd

install doc/rdist.man $RPM_BUILD_ROOT%{_mandir}/man1/rdist.1
install doc/rdistd.man $RPM_BUILD_ROOT%{_mandir}/man8/rdist.8

install %{SOURCE1} doc/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/rdist-eu-license.txt
%attr(755,root,root) %{_bindir}/rdist
%attr(755,root,root) %{_bindir}/rdistd
%attr(755,root,root) %{_sbindir}/rdistd
%{_mandir}/man[18]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rdist.spec,v $
Revision 1.21  2008-05-29 17:47:21  glen
- rel 33 for fc2 upgrade

Revision 1.20  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.18  2004/04/10 23:50:50  qboosh
- cosmetics

Revision 1.17  2003/07/06 12:18:17  areq
- add bison.patch and varargs.patch from rawhide - allow build in nest

Revision 1.16  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:26:15  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/02 23:03:04  wolf
- %__cc

Revision 1.13  2002/07/23 19:34:54  marcus
- use new %doc
- rel.16.

Revision 1.12  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:14:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/05/02 16:29:12  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.8  2000/12/11 12:17:29  qboosh
- BuildRequires: bison

Revision 1.7  2000/08/08 19:35:22  kloczek
- release 15,
- added de, fr, tr translation from old TurboLinux spec,
- added environ patch from MDK (be sure to keep the environnement variable).

Revision 1.6  2000/08/07 23:12:28  baggins
- release 14
- big cleanup

Revision 1.5  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.4  2000/06/09 07:55:10  kloczek
- more %{__make} macros.

Revision 1.3  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
- almost raw
